Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Interface CatalogQueryManagerBusiness

All Known Subinterfaces:
  CatalogQueryManager

All Known Implementing Classes:
  CMCatalogQueryManagerBean, JdbcCatalogQueryManagerImpl

    public interface CatalogQueryManagerBusiness

Method Summary
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object for categories.

Method Detail

### search

    ProductItemKey[] search(CatalogRequest request,
                            CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Returns the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
  Returns
    An array of product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    CategoryKey[] searchCategories(CatalogRequest request,
                                   CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
  Returns
    An array of category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### search

    ViewIterator search(CatalogRequest request,
                        CatalogQuery query,
                        int viewSize)
                        throws RemoteException,
                               CatalogException

  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over the product items returned by the search.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved